import {Pipe, PipeTransform} from '@angular/core';

@Pipe({
    name: 'rechargePayType'
})
export class RechargePayTypePipe implements PipeTransform {


    transform(value: number): string {
        switch (value) {
            case 1:
                return '支付宝';
            case 2:
                return '微信';
            case 3:
                return '汇联通工会卡';
            case 4:
                return '银联';
            case 5:
                return '银联分期';
            case null:
                return '积分抵扣';
        }
    }
}

